gnutls_x509_crt_verify(3)

NAME
gnutls_x509_crt_verify - API function

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_crt_verify(gnutls_x509_crt_t cert, const gnutls_x509_crt_t * CA_list, int CA_list_length, unsigned int flags, unsigned int * verify);

ARGUMENTS

gnutls_x509_crt_t cert
    is the certificate to be verified

const gnutls_x509_crt_t * CA_list
    is one certificate that is considered to be trusted one

int CA_list_length
    holds the number of CA certificate in CA_list

unsigned int flags
    Flags that may be used to change the verification algorithm. Use OR of the gnutls_certificate_verify_flags enumerations.

unsigned int * verify
    will hold the certificate verification output.

DESCRIPTION
This function will try to verify the given certificate and return its status.

RETURNS
On success, GNUTLS_E_SUCCESS is returned, otherwise a negative error value.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>. GnuTLS home page: http://www.gnu.org/software/gnutls/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.